#*******************************************************************************
#* FILE PURPOSE: Lower level makefile for Creating Component Libraries
#*******************************************************************************
#* FILE NAME: gcarmv7a/aes_c.av7A.mk
#*
#* DESCRIPTION: Defines Source Files, Compilers flags and build rules
#*
#*
#* This is an auto-generated file          
#*******************************************************************************
#

#
# Macro definitions referenced below
#
empty =
space =$(empty) $(empty)
CC = $(GNU_ARM_CORTEXA8_GEN_INSTALL_DIR)//bin/arm-none-linux-gnueabi-gcc -c -MD -MF $@.dep -march=armv7-a -fPIC -Wunused -Dfar= 
AC = $(GNU_ARM_CORTEXA8_GEN_INSTALL_DIR)//bin/arm-none-linux-gnueabi-gcc -c -x assembler -march=armv7-a
ARIN = $(GNU_ARM_CORTEXA8_GEN_INSTALL_DIR)/arm-none-linux-gnueabi/bin/ar cr
LD = $(GNU_ARM_CORTEXA8_GEN_INSTALL_DIR)//bin/arm-none-linux-gnueabi-gcc   -Wl,-Map=$(XDCCFGDIR)/$@.map -lstdc++ -L$(GNU_ARM_CORTEXA8_GEN_INSTALL_DIR)/arm-none-linux-gnueabi/lib 
CGINCS = 
RTSLIB = 
INCS = -I. -I$(strip $(subst ;, -I,$(subst $(space),\$(space),$(INCDIR))))
OBJEXT = ov7A
AOBJEXT = sv7A
INTERNALDEFS =  -Dgnu_targets_arm_GCArmv7A -Dxdc_target_types__=gnu/targets/arm/std.h -eo.$(OBJEXT) -ea.$(AOBJEXT) -o $@ 
INTERNALLINKDEFS = -Wl,-Map=$@.map -o $@ 
OBJDIR = ./package/lib/gcarmv7a/aes_c

#List the ArmFiles Files
ARMFILESC= \
    src/aesEnc.c\
    src/aesKeyExpEnc.c\
    src/aesDec.c\
    src/aesKeyExpDec.c

# FLAGS for the ArmFiles Files
ARMFILESCFLAGS =  -mcpu=cortex-a8 -mfpu=neon -mfloat-abi=softfp -O2 -ftree-vectorize  -Daes_ALL_KEY_SIZES 

# Make Rule for the ArmFiles Files
ARMFILESCOBJS = $(patsubst %.c, $(OBJDIR)/%.$(OBJEXT), $(ARMFILESC))

$(ARMFILESCOBJS): $(OBJDIR)/%.$(OBJEXT): %.c
	-@echo clv7A $< ...
	if [ ! -d $(@D) ]; then $(MKDIR) $(@D) ; fi;
	$(RM) $@.dep
	$(CC) $(ARMFILESCFLAGS) $(INTERNALDEFS) $(INCS) -I$(CGINCS) -fc $< 
	-@$(CP) $@.dep $@.pp; \
         $(SED) -e 's/#.*//' -e 's/^[^:]*: *//' -e 's/ *\\$$//' \
             -e '/^$$/ d' -e 's/$$/ :/' < $@.pp >> $@.dep; \
         $(RM) $@.pp 

#Create Empty rule for dependency
$(ARMFILESCOBJS):gcarmv7a/aes_c.av7A.mk
gcarmv7a/aes_c.av7A.mk:

#Include Depedency for ArmFiles Files
ifneq (clean,$(MAKECMDGOALS))
 -include $(ARMFILESCOBJS:%.$(OBJEXT)=%.$(OBJEXT).dep)
endif


gcarmv7a/aes_c.av7A : $(ARMFILESCOBJS)
	@echo archiving $? into $@ ...
	$(ARIN) $@ $?
