#ifndef _CONST_H
#define _CONST_H
/* ========================================================================== */
/**
 *  @file   const.h
 *
 *  path    /dsps_gtmas/ti/mas/types/const.h
 *
 *  @brief  This file contains basic DSP constant definitions.
 *
 * ============================================================================
 * Copyright (C) 2006 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  ============================================================================
 */

/** @defgroup  CONST */

/** @ingroup CONST */
/* @{ */

/** Default voice bandwith sampling rate. 
 *
 * Voice Sampling Rate in Hz */
#define const_VOX_SAMPLING_RATE      8000    
/** Default voice bandwith sampling rate.
 *
 *  Max Voice Sampling Rate in Hz */
#define const_MAX_VOX_SAMPLING_RATE 16000    

/** Companding laws 8-bit A-law*/
#define const_COMP_ALAW_8     0       
#define const_COMP_FIRST      const_COMP_ALAW_8
/** Companding laws 8-bit u-law*/
#define const_COMP_MULAW_8    1       
/** n-bit linear, i.e. no companding */
#define const_COMP_LINEAR     2       
#define const_COMP_LAST       const_COMP_LINEAR

/* @} */ /* ingroup */

#endif /* _CONST_H */
/* nothing after this point */
